/* COULEURS PERSONNAGES */
hima{ color: goldenrod; }
aki{ color: #CD1B27; }
sawa{ color: lightsteelblue; }
clem{ color: #129e15; }
amb{ color: cornflowerblue; }
nana{ color: mediumvioletred; }
hana{ color: mediumorchid; }
sen{ color:peru!important; font-weight: normal!important; }
anla{ color: #74A9AF; }
kass{ color: var(--couleur); }

.dia1, .dia2{ 
display: inline; 
position: relative; 
font-weight: normal; 
font-family: Inter, 'Noto Sans JP', sans-serif; 
word-break: break-all;
} 
.dia1 span,
.dia2 span{ 
display: inline-block; 
position: absolute; 
top: -16px;
left: 0px; 
border-radius: 3px; 
opacity: 0; 
padding: 0px 3px; 
font-size: 9px; 
font-weight: bold;
line-height: 14px; 
max-width: 535px;
width: max-content;
} 
.dia1:hover span,
.dia2:hover span{ opacity: 1; } 
.dia1{ color: goldenrod; } 
.dia1 span{ background: goldenrod; color: #f8f8f8; } 
.dia2{ color: var(--blanc); } 
.dia2 span{ background: var(--blanc); color: var(--fonce); } 

:root{
--daichi_rgb: rgba(172,199,152,15%);
--denki_rgb: rgba(230,164,129,15%);
--kasai_rgb: rgba(209,128,128,15%);
}

/* STYLES DU RP */
.rp_bg{
	display: grid;
    grid-template-rows: auto auto auto;
    background: var(--clair);
	font-size: 12px;
	line-height: 1.5em;
	border-radius: 8px;
	overflow: hidden;
	color: rgba(var(--violet_dark_rgb),0.8);
}
.rp_bg p{ font-size: 12px!important; line-height: 1.5em!important; margin: 0px!important; }

.rp_bg.senri{ --couleur: var(--den); --couleur_rgb: var(--denki_rgb);}
.rp_bg.hima{ --couleur: var(--dai); --couleur_rgb: var(--daichi_rgb);}
.rp_bg.akira{ --couleur: var(--kas); --couleur_rgb: var(--kasai_rgb);}
.rp_bg pnj{ color: var(--violet_dark); }
.rp_bg pnj2{ color: var(--couleur); }
.rp_bg a{ color: var(--couleur); }

.rp_bg a.senri{ color: #1b1c21;}

.rp_bg d4{
	display: inline-block;
	color: var(--couleur);
	font-size: 9px;
	line-height: 16px;
	font-weight: 600;
	letter-spacing: 0.5px;
	text-transform: uppercase;
	padding: 0px;
	background-color: transparent;
	box-shadow: none;
}

.rp_header{
	display: flex;
    padding: 24px;
    background: var(--bg1);
	flex-direction: column;
    gap: 16px;
}

.rp_date{
	display: grid;
    grid-column-gap: 8px;
    grid-template-columns: max-content auto max-content;
    align-items: center;
}

.rp_date > span{
	font-size: 9px;
    font-weight: 600;
    color: var(--tx_content);
    text-transform: uppercase;
    letter-spacing: 0.5px;
}

.rp_date > span.spacer{
	opacity: 0.5;
    background: var(--co3_light);
    height: 1px;
}

.rp_titre{
	font-size: 32px;
    line-height: 48px;
    font-family: var(--special-font);
    color: var(--violet_dark);
    display: block;
}

.rp_subheader > a{
    display: inline-block;
    font-size: 9px;
    line-height: 16px;
    font-weight: 600;
    letter-spacing: 0.5px;
    text-transform: uppercase;
    padding: 2px 4px;
    background-color: var(--couleur);
	opacity: 1;
    color: var(--blanc)!important;
    transition: all 0.3s ease;
}
.rp_subheader > a:hover{
    opacity: 0.5;
}

.rp_content{
	background-color: var(--bg2);
	padding: 24px;
    font-size: 12px;
    line-height: 18px;
    text-align: left;
}
.rp_content dl.codebox, .rp_content dt.spoiler_title:after,
.rp_content .spoiler_content.hidden:before{
	background-color: var(--cat_100);
}

div.rp_block_text{
	display: grid;
	grid-row-gap: 8px;
	padding: 24px;
}
.bg_dark{ background-color: var(--bg1); }
/* VARIANTE 2 COLONNES */
div.column2{
	display: grid;
	grid-column-gap: 24px;
	grid-template-columns: 1fr 1fr;
	grid-row-gap: 24px;
	margin: 0px!important;
    width: 100%;
}
div.column2 .col{
	display: grid;
	grid-auto-rows: min-content;
	grid-template-rows: min-content;
	justify-content: start;
	grid-row-gap: 8px;
}

div.rp_subheader{
	display: grid;
	grid-template-columns: max-content auto;
	grid-column-gap: 16px;
	align-items: center;
}
div.rp_subheader > span{
	font-size: 9px;
	font-weight: 600;
	color: var(--violet_dark);
	text-transform: uppercase;
	letter-spacing: 0.5px;
}
div.rp_subheader > span.spacer{
	height: 1px;
	background-color: var(--co3_light);
	opacity: 0.5;
	width: 100%;
}

.rp_footer{
    padding: 24px;
    background: var(--bg1);
    text-align: center;
    font-size: 9px;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 0.5px;
}

.rp_bg credits{
	display: block;
	padding: 16px 24px 24px 24px;
	background-color: var(--bg2);
	text-align: center;
	content: "CODE PAR MELODY & MK";
	color: rgba(var(--violet_dark_rgb),0.5);
	font-size: 9px;
	line-height: 24px;
	font-weight: 600;
	letter-spacing: 0.5px;
	text-transform: uppercase;
}
